package com.example.documentation;

import com.seitenbau.testing.service.Instrumentation;
import com.seitenbau.testing.shared.config.MethodConfiguration;
import com.seitenbau.testing.shared.config.RecorderConfiguration;
import com.seitenbau.testing.shared.config.RepositoryConfig;
import com.seitenbau.testing.shared.tracer.listener.ConsoleListener;

public class generateRecorder
{

  public static void main(String[] args)
  {
    RecorderConfiguration configuration = new RecorderConfiguration();

    RepositoryConfig repository = new RepositoryConfig();

    repository.setDriverClass ("com.mysql.jdbc.Driver");
    repository.setDatabaseURL ("jdbc:mysql://localhost/sbtestrecorder");
    repository.setUsername    ("root");
    repository.setPassword    ("");

    configuration.setRepository(repository);

    MethodConfiguration methodConfiguration = new MethodConfiguration(
            "com.example.staticclass",
            "StaticClass",
            "int",
            "simplePlusMethod",
            "int,int"
        );

    methodConfiguration.getTracer().addListener(ConsoleListener.class);

    configuration.addMethodConfiguration(methodConfiguration);

    Instrumentation.createArtifacts(
            configuration, 
            "src/main/java",
            "src/main/resources"
        );
  }

}
