package com.example.refactoring;


import com.seitenbau.testing.service.Instrumentation;
import com.seitenbau.testing.shared.config.MethodConfiguration;
import com.seitenbau.testing.shared.config.RecorderConfiguration;

public class Refactoring_instrument {

	public static void main(String[] args) {
		RecorderConfiguration config = new RecorderConfiguration();

		MethodConfiguration mcfg = new MethodConfiguration( 
				Refactoring.class, "methodTests");
		
		mcfg.setEnableRecordPreState( true );
		
		config.addMethodConfiguration(mcfg);
		
		MethodConfiguration mcfg2 = new MethodConfiguration( 
				Refactoring.class, "addPrestate");
		
		mcfg.setEnableRecordPreState( true );
		
		config.addMethodConfiguration(mcfg2);

		Instrumentation.createArtifacts(config, "src/recorder/java", "src/recorder/resources");
	}

}
