package com.example.singelton;


public class SingeltonClass {

	public static void main(String[] args) {
		SingeltonClass aware = new SingeltonClass();
		aware.setValue(23);
		
		aware.addValue(19);
	}
	
	private SingeltonClass() {
		// this is a singelton!
	}

	private Integer myValue = new Integer(1024);

	protected Integer addValue(int i) {
		return myValue+i;
	}

	private void setValue(int i) {
		myValue = i;
	}
}
