package com.example.staticclass;

import java.util.List;

import com.seitenbau.testing.service.RepositoryService;
import com.seitenbau.testing.service.TestGenerator;
import com.seitenbau.testing.shared.config.MethodConfiguration;
import com.seitenbau.testing.shared.config.TestConfiguration;
import com.seitenbau.testing.shared.model.RecordedMethodConfiguration;
import com.seitenbau.testing.testgenerator.datadriven.GeneratorDataDriven;
import com.seitenbau.testing.testgenerator.partgenerator.impl.PartGeneratorReturnValueAssertEquals;


public class StaticClass_simplePlusMethod_generateTests {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		TestConfiguration configuration=new TestConfiguration();

		MethodConfiguration methodConfiguration=new MethodConfiguration();

		methodConfiguration.setClassName("StaticClass");
		methodConfiguration.setMethodName("simplePlusMethod");
		methodConfiguration.setPackageName("com.example.staticclass");
		methodConfiguration.setReturnType("int");
		methodConfiguration.setParameters("int,int");

		List<RecordedMethodConfiguration> methodList=RepositoryService.getTestData(methodConfiguration, null );

		configuration.setTestData(methodList);

		GeneratorDataDriven generator=new GeneratorDataDriven();;

		generator.addPartGenerator( new PartGeneratorReturnValueAssertEquals() );

		TestGenerator.createTestArtifacts(generator, configuration, "src/test/java", "src/test/resources");

	}

}
