package com.example.testprogram;

import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;

public class MathDialog extends JFrame {

	private static final long serialVersionUID = -90240548041375695L;
	private MathOperations myOpertions = new MathOperations();

	protected void eventAddButtonActionPerfomed(ActionEvent e) {

		String text1 = myOperand1.getText();
		String text2 = myOperand2.getText();

		try {
			String result = myOpertions.adding(text1, text2);
			myResultLabel.setText(result);
		} catch (Throwable t) {
			t.printStackTrace();
			myResultLabel.setText(t.toString());
			pack();
		}
	}

	private JLabel myLabel1;
	private JTextField myOperand1;
	private JTextField myOperand2;
	private JButton myButtonAddOperation;
	private JLabel myLabel2;
	private JLabel myResultLabel;;

	public MathDialog() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		createControls();

		initLayout();

		pack();

		setListeners();
	}

	private void setListeners() {
		myButtonAddOperation.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				eventAddButtonActionPerfomed(e);
			}
		});

	}

	private void createControls() {
		myLabel1 = new JLabel("Operand 1:");
		myLabel2 = new JLabel("Operand 2:");
		myOperand1 = new JTextField("<Enter Value>");
		myOperand2 = new JTextField("<Enter Value>");
		myButtonAddOperation = new JButton("Addition");
		myResultLabel = new JLabel(" = ");
	}

	private void initLayout() {
		setLayout(new FlowLayout());
		getContentPane().add(myLabel1);
		getContentPane().add(myOperand1);
		getContentPane().add(myLabel2);
		getContentPane().add(myOperand2);
		getContentPane().add(myButtonAddOperation);
		getContentPane().add(myResultLabel);

	}

}
