package com.example.throwing;

import java.util.List;

import com.seitenbau.testing.service.RepositoryService;
import com.seitenbau.testing.service.TestGenerator;
import com.seitenbau.testing.shared.config.MethodConfiguration;
import com.seitenbau.testing.shared.config.TestConfiguration;
import com.seitenbau.testing.shared.model.RecordedMethodConfiguration;
import com.seitenbau.testing.testgenerator.datadriven.GeneratorDataDriven;
import com.seitenbau.testing.testgenerator.partgenerator.impl.PartGeneratorReturnValueAssertEquals;
import com.seitenbau.testing.testgenerator.partgenerator.impl.PartGeneratorTargetCreateNewInstance;


public class ThrowingClass_calculateStatic_generateTests
{
  public static void main(String[] args)
  {
    TestConfiguration configuration=new TestConfiguration();
    configuration.setBaseName("Static");

    List<RecordedMethodConfiguration> data = RepositoryService.getTestData(
          MethodConfiguration.buildFor(ThrowingClass.class, "calculateStatic"), null
        );

    GeneratorDataDriven generator=new GeneratorDataDriven();

    configuration.setTestData( data );

    generator.addPartGenerator(new PartGeneratorReturnValueAssertEquals() );

    generator.addPartGenerator(new PartGeneratorTargetCreateNewInstance() );

    TestGenerator.createTestArtifacts(generator, configuration, "src/test/java","src/test/resources");
  }
}
