package com.example.throwing;

import com.seitenbau.testing.service.Instrumentation;
import com.seitenbau.testing.shared.config.MethodConfiguration;
import com.seitenbau.testing.shared.config.RecorderConfiguration;
import com.seitenbau.testing.shared.tracer.RmiTracer;

public class ThrowingClass_calculate_instrument
{
  public static void main(String[] args)
  {
    RecorderConfiguration rcfg = new RecorderConfiguration();
    rcfg.setBaseName("Invoke");

    MethodConfiguration mcfg = MethodConfiguration.buildFor(ThrowingClass.class,"calculate");
    mcfg.setTracer( RmiTracer.class );
    rcfg.addMethodConfiguration( mcfg );

    Instrumentation.createArtifacts( rcfg , "src/recorder/java","src/recorder/resources");

  }
}
