package com.example.dbunit;

import com.seitenbau.testing.addons.dbunit.connection.ConnectionProviderJdbcConfig;
import com.seitenbau.testing.addons.dbunit.listener.DbUnitListenerConfiguration;
import com.seitenbau.testing.addons.dbunit.listener.DbUnitTableConfig;
import com.seitenbau.testing.service.Instrumentation;
import com.seitenbau.testing.shared.config.MethodConfiguration;
import com.seitenbau.testing.shared.config.RecorderConfiguration;
import com.seitenbau.testing.shared.tracer.listener.ConsoleListener;

public class DBUnitClass_simpleDatabaseMethod_instrument {
	public static void main(String[] args) {
RecorderConfiguration configuration=new RecorderConfiguration();

MethodConfiguration methodConfiguration=new MethodConfiguration(DBUnitClass.class, "simpleDatabaseMethod");

methodConfiguration.getTracer().addListener( ConsoleListener.class );

DbUnitListenerConfiguration duListenerConfig = new DbUnitListenerConfiguration();

ConnectionProviderJdbcConfig jdbc = new ConnectionProviderJdbcConfig();
jdbc.setDatabaseDriver("com.mysql.jdbc.Driver");
jdbc.setDatabaseURL("jdbc:mysql://localhost/tdd3");
jdbc.setDatabaseUsername("root");
jdbc.setDatabasePassword("");

duListenerConfig.setConnectionProvider( jdbc );

DbUnitTableConfig tconf=new DbUnitTableConfig();
tconf.setTableName("customer");
tconf.addExcludeColumn("id");
duListenerConfig.add( tconf );

methodConfiguration.getTracer().addListener( duListenerConfig );

configuration.addMethodConfiguration(methodConfiguration);

Instrumentation.createArtifacts(configuration, "src/test/java","src/test/resources");
	}
}
