package com.example.prestate;


import com.seitenbau.testing.service.Instrumentation;
import com.seitenbau.testing.shared.config.MethodConfiguration;
import com.seitenbau.testing.shared.config.RecorderConfiguration;

public class PreStateAware_instrument {

	public static void main(String[] args) {
		RecorderConfiguration config = new RecorderConfiguration();

		MethodConfiguration mcfg = new MethodConfiguration( PreStateAware.class, "addValue");
		
		mcfg.setEnableRecordPreState( true );
		
		config.addMethodConfiguration(mcfg);

		Instrumentation.createArtifacts(config, "src/recorder/java", "src/recorder/resources");
	}

}
